---
name: Convert Audio
description: Convert audio files between formats, preserving metadata.
version: 1
mode: script
language: bash
triggers:
  - type: file
    extensions:
      - mp3
      - flac
      - wav
      - ogg
      - wma
      - aac
      - m4a
      - opus
      - aiff
      - aif
      - ape
      - wv
      - alac
      - dsf
      - dff
  - type: directory
inputs:
  file_path:
    type: string
    description: Path to an audio file or directory to convert.
  target_format:
    type: string
    description: Target format
    default: mp3
    options:
      - mp3
      - flac
      - wav
      - ogg
      - aac
      - opus
  delete_source:
    type: boolean
    description: Delete source files after successful conversion.
    default: false
args: [file_path]
---

# Convert Audio

Convert audio files between formats using ffmpeg, preserving metadata.
Supports single file conversion and batch directory conversion.
